You are not logged in.

#1 2018-09-08 19:07:00

b2ag
Member
Registered: 2016-09-19
Posts: 5

Python bindings for libseccomp

Hi,

since version 2.2 libseccomp seems to have Python bindings.
https://lwn.net/Articles/633155/

I would just like to know why "community/libseccomp" is build without "--enable-python".
Any ideas?

Br
Thomas

Offline

#2 2018-09-09 16:50:46

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,529

Re: Python bindings for libseccomp

b2ag wrote:

Hi,

since version 2.2 libseccomp seems to have Python bindings.
https://lwn.net/Articles/633155/

I would just like to know why "community/libseccomp" is build without "--enable-python".
Any ideas?

Br
Thomas

Because that requires both python and cython to be installed in the build environment, and because no one asked for them.

I guess you could submit a feature request asking for the bindings to be built and python added as an optdepends.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Online

#3 2020-06-24 18:07:12

igo95862
Member
Registered: 2018-05-01
Posts: 6

Re: Python bindings for libseccomp

I wrote a PKGBUILD patch that separates python binds in to a separate package.

This is a complete new PKGBUILD: https://gist.github.com/igo95862/456706 … 0340416d0c

This a patchfile: https://gist.github.com/igo95862/891b35 … aacab02775

Offline

Board footer

Powered by FluxBB